org.wildfly.swarm.spi.api.annotations

## Enum DeploymentModule.MetaInfDisposition

- java.lang.Object
- - java.lang.Enum<DeploymentModule.MetaInfDisposition>
  - - org.wildfly.swarm.spi.api.annotations.DeploymentModule.MetaInfDisposition

- All Implemented Interfaces:
    Serializable, Comparable<DeploymentModule.MetaInfDisposition>
  Enclosing class:
    DeploymentModule

      public static enum DeploymentModule.MetaInfDisposition
      extends Enum<DeploymentModule.MetaInfDisposition>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPORT`
    `IMPORT`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeploymentModule.MetaInfDisposition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DeploymentModule.MetaInfDisposition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final DeploymentModule.MetaInfDisposition NONE

    - #### IMPORT

          public static final DeploymentModule.MetaInfDisposition IMPORT

    - #### EXPORT

          public static final DeploymentModule.MetaInfDisposition EXPORT

  - ### Method Detail

    - #### values

          public static DeploymentModule.MetaInfDisposition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeploymentModule.MetaInfDisposition c : DeploymentModule.MetaInfDisposition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeploymentModule.MetaInfDisposition valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 JBoss by Red Hat. All rights reserved.